This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 805707 - [abrt] evolution-3.3.92-1.fc17: html_object_get_engine: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.3.92-1.fc17: html_object_get_engine: Process /usr/bin/evol...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c5dcd9207a5c7a1c18283aa00a1...
:
: 652394 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 17:02 EDT by Adam Williamson
Modified: 2013-07-31 23:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (19.87 KB, text/plain)
2012-03-21 17:02 EDT, Adam Williamson
no flags Details
File: build_ids (7.73 KB, text/plain)
2012-03-21 17:02 EDT, Adam Williamson
no flags Details
File: maps (94.58 KB, text/plain)
2012-03-21 17:02 EDT, Adam Williamson
no flags Details
File: backtrace (51.70 KB, text/plain)
2012-03-21 17:02 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-03-21 17:02:10 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        evolution
comment:        I was just replying to a message on fedora-devel. I guess I hit my quota of posts for the day. :)
crash_function: html_object_get_engine
executable:     /usr/bin/evolution
kernel:         3.3.0-3.fc17.x86_64
pid:            8833
pwd:            /home/adamw
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Wed 21 Mar 2012 01:21:46 PM PDT
uid:            1001
username:       adamw

backtrace:      Text file, 52939 bytes
build_ids:      Text file, 7913 bytes
dso_list:       Text file, 20345 bytes
maps:           Text file, 96854 bytes

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=adam.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/home/adamw/.cache/keyring-KuVbsV
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=adamw
:USERNAME=adamw
:MAIL=/var/spool/mail/adamw
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/adamw/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adamw
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1521
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:'PS1=[\\[\\e[0;32m\\]\\u\\[\\e[0m\\]@\\[\\e[0;34m\\]\\h\\[\\e[0m\\] \\W\\[\\e[0;33m\\]$(__git_ps1 \" (%s)\")\\[\\e[0m\\]]\\[\\e[0;32m\\]\\$ \\[\\e[0m\\]'
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/adamw
:SHLVL=1
:LOGNAME=adamw
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hLMBTNdh34,guid=76f6a2990119fac2cfdfdea600000010
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adamw
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-adamw-AddkDo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1523,unix/unix:/tmp/.ICE-unix/1523
:GPG_AGENT_INFO=/home/adamw/.cache/keyring-KuVbsV/gpg:0:1
:SSH_AUTH_SOCK=/home/adamw/.cache/keyring-KuVbsV/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:G_MESSAGES_DEBUG=all
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8833
:DESKTOP_STARTUP_ID=gnome-shell-8577-adam.localdomain-evolution-1_TIME7710665

var_log_messages:
:Mar 18 09:14:34 adam abrt[14231]: File '/usr/bin/evolution' seems to be deleted
:Mar 19 09:52:45 adam kernel: [114657.575785] evolution[19236]: segfault at 70 ip 0000003e35e3f0d0 sp 00007fff4d4814a8 error 4 in libgdk-3.so.0.318.0[3e35e00000+83000]
:Mar 19 09:52:48 adam abrt[21209]: Saved core dump of pid 19236 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-19-09:52:45-19236 (344637440 bytes)
:Mar 20 11:53:27 adam abrt[4693]: Saved core dump of pid 1923 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-03-20-11:53:27-1923 (75096064 bytes)
:Mar 20 12:42:39 adam yum[3982]: Updated: evolution-data-server-3.3.92-1.fc17.x86_64
:Mar 20 12:42:40 adam yum[3982]: Updated: evolution-3.3.92-1.fc17.x86_64
:Mar 20 12:42:46 adam yum[3982]: Updated: evolution-NetworkManager-3.3.92-1.fc17.x86_64
:Mar 20 12:42:51 adam yum[3982]: Updated: evolution-debuginfo-3.3.92-1.fc17.x86_64
:Mar 20 12:43:02 adam yum[3982]: Updated: evolution-data-server-debuginfo-3.3.92-1.fc17.x86_64
:Mar 21 10:07:07 adam kernel: [ 7180.507048] evolution[2974]: segfault at 70 ip 00000038cbe3f0d0 sp 00007fff90545408 error 4 in libgdk-3.so.0.318.0.#prelink#.7cbK8h (deleted)[38cbe00000+83000]
:Mar 21 10:07:07 adam abrt[8578]: File '/usr/bin/evolution' seems to be deleted
:Mar 21 10:07:11 adam abrt[8578]: Saved core dump of pid 2974 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-21-10:07:07-2974 (614027264 bytes)
:Mar 21 13:21:46 adam kernel: [18844.909018] evolution[8833]: segfault at 29c00000213 ip 0000003b23e782d3 sp 00007fffa74f2f08 error 4 in libgtkhtml-4.0.so.0.0.0[3b23e00000+c8000]
:Mar 21 13:21:50 adam abrt[22293]: Saved core dump of pid 8833 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-21-13:21:46-8833 (639238144 bytes)

xsession_errors:
:evolution-shell-Message: Network disconnected.  Forced offline.
:evolution-shell-Message: Connection established.  Going online.
:(evolution:2974): Gtk-DEBUG: Connecting to session manager
:(evolution:2974): GLib-GObject-WARNING **: invalid unclassed pointer in cast to `GtkContainer'
:(evolution:2974): Gtk-CRITICAL **: gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
:(evolution:2974): GLib-GObject-WARNING **: invalid uninstantiatable type `<invalid>' in cast to `GtkContainer'
:(evolution:2974): Gtk-CRITICAL **: gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
:(evolution:2974): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkContainer'
:(evolution:2974): Gtk-CRITICAL **: gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
:(evolution:2974): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkContainer'
:(evolution:2974): Gtk-CRITICAL **: gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
:(evolution:2974): Gdk-CRITICAL **: gdk_event_set_source_device: assertion `GDK_IS_DEVICE (device)' failed
:(evolution:2974): Gdk-CRITICAL **: gdk_event_set_source_device: assertion `GDK_IS_DEVICE (device)' failed
:(evolution:2974): Gdk-CRITICAL **: gdk_device_get_n_axes: assertion `GDK_IS_DEVICE (device)' failed
:(evolution:8668): Gtk-DEBUG: Connecting to session manager
:(evolution:8833): Gtk-DEBUG: Connecting to session manager
:(evolution:22617): Gtk-DEBUG: Connecting to session manager
Comment 1 Adam Williamson 2012-03-21 17:02:14 EDT
Created attachment 571851 [details]
File: dso_list
Comment 2 Adam Williamson 2012-03-21 17:02:16 EDT
Created attachment 571852 [details]
File: build_ids
Comment 3 Adam Williamson 2012-03-21 17:02:17 EDT
Created attachment 571853 [details]
File: maps
Comment 4 Adam Williamson 2012-03-21 17:02:18 EDT
Created attachment 571854 [details]
File: backtrace
Comment 5 Milan Crha 2012-03-22 07:37:42 EDT
Thanks for a bug report. Is this reproducible with that particular message, please? I see from the backtrace that the message was written in HTML, and had some <TABLE> included in it, most likely, which confused GtkHTML. Having a test message would help.

(In reply to comment #0)
> comment:        I was just replying to a message on fedora-devel. I guess I hit
> my quota of posts for the day. :)

Yeah, I guess so :)
Comment 6 Adam Williamson 2012-03-22 14:57:45 EDT
unfortunately, I can't recall what message it was :( I'll try and find some time to poke and see if I can reproduce reliably.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Milan Crha 2012-03-26 05:05:40 EDT
Thanks. Till then I'm marking this to need-info.
Comment 8 abrt-bot 2012-03-30 08:37:55 EDT
*** Bug 652394 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2013-07-03 20:12:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 23:40:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.